/**
 * <copyright>
 * </copyright>
 *
 * $Id: CallActionValidator.java,v 1.1 2008-04-01 09:35:40 vmahe Exp $
 */
package orgomg.cwm.objectmodel.behavioral.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.management.warehouseoperation.StepExecution;

import orgomg.cwm.objectmodel.behavioral.Argument;
import orgomg.cwm.objectmodel.behavioral.Operation;

/**
 * A sample validator interface for {@link orgomg.cwm.objectmodel.behavioral.CallAction}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface CallActionValidator {
	boolean validate();

	boolean validateActualArgument(EList<Argument> value);
	boolean validateOperation(Operation value);
	boolean validateStepExecution(EList<StepExecution> value);
}
